# Header Based Csv parser plugin for Embulk

## Overview

* **Plugin type**: parser
* **Guess supported**: no

組み込みプラグインのCSVパーサー拡張です  

this parser is an extension of built-in csv parser plugin

このパーサーはパースするとき、ファイルのヘッダー名とコンフィグファイルのカラム名が完全一致しているか調べます  
そのためファイルのカラムの並び順の変更に影響されずパースできます

when it parses files, it checks that a header name on your file and a column name on your configuration file are exactly matched
so the change of column order on your files does not affect the parser

CSVファイルにはヘッダーが必要です  
`skip_header_lines`を指定しない限り、一行目をヘッダーとみなします

csv file must have one header line
the first line is supposed to be a header line unless you set `skip_header_lines` option 

## Configuration

このプラグイン独自のオプションはありません(CSVパーサーと同じです)  
ただし`skip_header_lines`を指定する場合、ヘッダー行は含まないようにしてください  

there is no unique option for this plugin (it is the same as that of csv parser plugin)
but you should be careful not to include its header line when you set `skip_header_lines`


## install

```
$ embulk gem install embulk-parser-header_based_csv
```

## Build

```
$ ./gradlew gem  # -t to watch change of files and rebuild continuously
```
